Subject: Re: bug#71866: 30.0.50; [macOS] Cursor hiding char behind it with certain theme customization

From: Gerd Möllmann <[email-masked]>
Date: Thu, 25 Jul 2024 05:03:03 +0200

Dmitry Gutov <[email-masked]> writes:

> On 24/07/2024 06:48, Gerd Möllmann wrote:
>>>> And now to my pet peeve 🙂. Dmitry could you please comment out the
>>>> calls to redisplay (2 of them) in nsterm.m and try again?
>>> I've tried that now, but it didn't seem to help. Does it make a
>>> difference on your system?
>> Yes, without the calls to redisplay, I can no longer reproduce it 🤷
>> That's on a MBP with M1 Pro chip, macOS 14.5.
>
> Oh well. I've tried re-bootstrapping with that change applied, but the
> problem remains.
>
> M3 Pro, macOS 14.5.
>
> Or maybe this is about the slightly different font files:
>
>> ls -l ~/Library/Fonts/
> total 3352
> ...  290368 Dec 13  2021 CascadiaMono-Bold.otf
> ...  273200 Dec 13  2021 CascadiaMono-ExtraLight.otf
> ...  282548 Dec 13  2021 CascadiaMono-Light.otf
> ...  285336 Dec 13  2021 CascadiaMono-Regular.otf
> ...  292316 Dec 13  2021 CascadiaMono-SemiBold.otf
> ...  285944 Dec 13  2021 CascadiaMono-SemiLight.otf

The fonts from Homebrew are .ttf files

-rw-r--r--@ 1 gerd  admin  715000 Apr 26 02:49 CascadiaMono.ttf
-rw-r--r--@ 1 gerd  admin  524508 Apr 26 02:49 CascadiaMonoItalic.ttf

The ASAN bug I was referring to is bug#58334. I think there's some chance
that this is also timing dependent, so maybe it's your faster CPU 🤷